@echo off
cd /d "%~dp0"

echo.
echo Acesso neste computador: http://127.0.0.1:8642/
for /f "tokens=2 delims=:" %%a in ('ipconfig ^| findstr /c:"IPv4"') do echo Acesso de outros computadores da rede: http://%%a:8642/ (tirando os espacos)
echo.

start "" cmd /c "timeout /t 2 /nobreak >nul & start http://127.0.0.1:8642/"
python\python.exe -m uvicorn app.main:app --host 0.0.0.0 --port 8642
pause
